# Hans

@Serializable(with = IetfLanguageCodeSerializer::class )
sealed class Hans : IetfLanguageCode.Chinese (source)

#### Inheritors

CN
HK
MO
SG
Companion

## Types

CN
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object CN : IetfLanguageCode.Chinese.Hans
Companion
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object Companion : IetfLanguageCode.Chinese.Hans
HK
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object HK : IetfLanguageCode.Chinese.Hans
MO
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object MO : IetfLanguageCode.Chinese.Hans
SG
Link copied to clipboard
@Serializable(with = IetfLanguageCodeSerializer::class )
object SG : IetfLanguageCode.Chinese.Hans

## Properties

code
Link copied to clipboard
open override val code : String
withoutDialect
Link copied to clipboard
open override val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLanguageCode . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLanguageCode ?. toJavaLocaleOrDefault (): Locale
toString
Link copied to clipboard
open override fun toString (): String